<template>
  <div>
    <div>
      <span class="mg-r-20">去重</span>
      <!-- <el-button size="small" type="info" @click="showSelectEle">选择参数</el-button> -->
      <el-switch
        v-model="value1"
        active-text="开"
        inactive-text="关"
        @change="switchChange"
        >
      </el-switch>
    </div>
    
  </div>
</template>

<script>
export default {
  name: "datasRepeat",
  props: {
    formulainfo: {
      type: Object,
      default: function () {
        return {};
      }
    },
    curele: {
      type: Object,
      default: function () {
        return {};
      }
    },
  },
  data(){
    return{
      value1:true
    }
  },
  mounted(){
    //console.log(this.formulainfo.arguments[0])
    //console.log(this.formulainfo.arguments[1])
    if(this.formulainfo.isOn === false){
      this.value1 = false;
    }

  },
  methods:{
    showSelectEle(){
      this.$set(this.formulainfo,'showSelectEle',!this.formulainfo.showSelectEle);
    },

    switchChange(value){
      this.formulainfo.isOn = value;
      
    },

    setELe(){

    }
  }
}
</script>
<style scoped lang="scss">
  
</style>